Subject: Re: linux-next: manual merge of the m68knommu tree with the m68k tree

From: Geert Uytterhoeven <[email-masked]>
Date: Wed, 22 Jun 2011 10:29:41 +0200

Hi Greg, Stephen,

On Wed, Jun 22, 2011 at 08:34, Greg Ungerer <[email-masked]> wrote:
> On 22/06/11 11:12, Stephen Rothwell wrote:
>> Today's linux-next merge of the m68knommu tree got a conflict in
>> arch/m68k/include/asm/bitops_mm.h between commit 17c74432b88e
>> ("m68k/bitops: Make bitmap data pointer of atomic ops volatile") from the
>> m68k tree and commit 2cb0d89e66b1 ("m68k: merge mmu and non-mmu
>> bitops.h") from the m68knommu tree.
>>
>> The latter effectively deletes in the file and in doing the merge,
>> removes the funtions that were modified by the former commit.  So I just
>> removed the file.
>
> That would be right. The changes that Geert's patch makes are in
> my merge patch.

Sorry, I forgot that Greg was merging them, which also fixes the issue we
had on m68k.

[mental note to self: check for merge conflicts with m68knommu before updating
 for-next]

> Geert: do you want me to hold of on merging the bitops.h files?

No, it looks fine to me. Feel free to add my Acked-by.

Gr{oetje,eeting}s,

                        Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
                                -- Linus Torvalds